Add support for C++ stream API.

This commit is contained in:
Andrey Kiselev 2004-11-12 12:52:16 +00:00
parent f9fb6c863e
commit 078099ab9c
5 changed files with 160 additions and 75 deletions

102
configure vendored
View File

@ -464,7 +464,7 @@ ac_includes_default="\
# include <unistd.h>
#endif"
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTIFF_MAJOR_VERSION LIBTIFF_MINOR_VERSION LIBTIFF_MICRO_VERSION LIBTIFF_ALPHA_VERSION LIBTIFF_VERSION LIBTIFF_RELEASE_DATE LN_S EGREP ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS acx_pthread_config PTHREAD_CC PTHREAD_LIBS PTHREAD_CFLAGS GL_CFLAGS GL_LIBS GLU_CFLAGS GLU_LIBS GLUT_CFLAGS GLUT_LIBS HAVE_OPENGL_TRUE HAVE_OPENGL_FALSE LTLIBOBJS'
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTIFF_MAJOR_VERSION LIBTIFF_MINOR_VERSION LIBTIFF_MICRO_VERSION LIBTIFF_ALPHA_VERSION LIBTIFF_VERSION LIBTIFF_RELEASE_DATE LN_S EGREP ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS HAVE_CXX_TRUE HAVE_CXX_FALSE X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS acx_pthread_config PTHREAD_CC PTHREAD_LIBS PTHREAD_CFLAGS GL_CFLAGS GL_LIBS GLU_CFLAGS GLU_LIBS GLUT_CFLAGS GLUT_LIBS HAVE_OPENGL_TRUE HAVE_OPENGL_FALSE LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@ -1060,6 +1060,8 @@ Optional Features:
--enable-old-jpeg enable support for Old JPEG compresson (read
contrib/ojpeg/README first! Compilation fails with
unpatched IJG JPEG library)
--enable-c++ enable C++ stream API building (requires C++
compiler)
--disable-strip-chopping
disable support for strip chopping (whether or not
to convert single-strip uncompressed images to
@ -4780,7 +4782,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
echo '#line 4783 "configure"' > conftest.$ac_ext
echo '#line 4785 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@ -6344,7 +6346,7 @@ fi
# Provide some information about the compiler.
echo "$as_me:6347:" \
echo "$as_me:6349:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@ -7376,11 +7378,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:7379: $lt_compile\"" >&5)
(eval echo "\"\$as_me:7381: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:7383: \$? = $ac_status" >&5
echo "$as_me:7385: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@ -7609,11 +7611,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:7612: $lt_compile\"" >&5)
(eval echo "\"\$as_me:7614: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:7616: \$? = $ac_status" >&5
echo "$as_me:7618: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@ -7669,11 +7671,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:7672: $lt_compile\"" >&5)
(eval echo "\"\$as_me:7674: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
echo "$as_me:7676: \$? = $ac_status" >&5
echo "$as_me:7678: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@ -9857,7 +9859,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 9860 "configure"
#line 9862 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -9955,7 +9957,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 9958 "configure"
#line 9960 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -12132,11 +12134,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:12135: $lt_compile\"" >&5)
(eval echo "\"\$as_me:12137: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:12139: \$? = $ac_status" >&5
echo "$as_me:12141: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@ -12192,11 +12194,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:12195: $lt_compile\"" >&5)
(eval echo "\"\$as_me:12197: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
echo "$as_me:12199: \$? = $ac_status" >&5
echo "$as_me:12201: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@ -13561,7 +13563,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 13564 "configure"
#line 13566 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -13659,7 +13661,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 13662 "configure"
#line 13664 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -14486,11 +14488,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:14489: $lt_compile\"" >&5)
(eval echo "\"\$as_me:14491: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:14493: \$? = $ac_status" >&5
echo "$as_me:14495: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@ -14546,11 +14548,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:14549: $lt_compile\"" >&5)
(eval echo "\"\$as_me:14551: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
echo "$as_me:14553: \$? = $ac_status" >&5
echo "$as_me:14555: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@ -16591,11 +16593,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:16594: $lt_compile\"" >&5)
(eval echo "\"\$as_me:16596: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:16598: \$? = $ac_status" >&5
echo "$as_me:16600: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@ -16824,11 +16826,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:16827: $lt_compile\"" >&5)
(eval echo "\"\$as_me:16829: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:16831: \$? = $ac_status" >&5
echo "$as_me:16833: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@ -16884,11 +16886,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:16887: $lt_compile\"" >&5)
(eval echo "\"\$as_me:16889: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
echo "$as_me:16891: \$? = $ac_status" >&5
echo "$as_me:16893: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@ -19072,7 +19074,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 19075 "configure"
#line 19077 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -19170,7 +19172,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 19173 "configure"
#line 19175 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -23701,6 +23703,36 @@ else
fi
# Check whether --enable-c++ or --disable-c++ was given.
if test "${enable_c+++set}" = set; then
enableval="$enable_c++"
HAVE_CXX=$enableval
else
HAVE_CXX=yes
fi;
if test "$HAVE_CXX" = "yes" ; then
cat >>confdefs.h <<\_ACEOF
#define CXX_SUPPORT 1
_ACEOF
else
HAVE_CXX=no
fi
if test "$HAVE_CXX" = "yes"; then
HAVE_CXX_TRUE=
HAVE_CXX_FALSE='#'
else
HAVE_CXX_TRUE='#'
HAVE_CXX_FALSE=
fi
HAVE_OPENGL=no
@ -26269,6 +26301,13 @@ echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
if test -z "${HAVE_CXX_TRUE}" && test -z "${HAVE_CXX_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"HAVE_CXX\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"HAVE_CXX\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
if test -z "${HAVE_OPENGL_TRUE}" && test -z "${HAVE_OPENGL_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"HAVE_OPENGL\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
@ -26911,6 +26950,8 @@ s,@FFLAGS@,$FFLAGS,;t t
s,@ac_ct_F77@,$ac_ct_F77,;t t
s,@LIBTOOL@,$LIBTOOL,;t t
s,@LIBOBJS@,$LIBOBJS,;t t
s,@HAVE_CXX_TRUE@,$HAVE_CXX_TRUE,;t t
s,@HAVE_CXX_FALSE@,$HAVE_CXX_FALSE,;t t
s,@X_CFLAGS@,$X_CFLAGS,;t t
s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
s,@X_LIBS@,$X_LIBS,;t t
@ -27651,6 +27692,7 @@ echo "Libtiff is now configured for ${host}"
echo ""
echo " Installation directory: ${prefix}"
echo " C compiler: ${CC} ${CFLAGS}"
echo " C++ compiler: ${CXX} ${CXXFLAGS}"
echo " Enable runtime linker paths: ${HAVE_RPATH}"
echo ""
echo " Support for internal codecs:"
@ -27667,6 +27709,8 @@ echo " Pixar log-format algorithm: ${HAVE_PIXARLOG}"
echo " JPEG support: ${HAVE_JPEG}"
echo " Old JPEG support: ${HAVE_OJPEG}"
echo ""
echo " C++ support: ${HAVE_CXX}"
echo ""
echo " OpenGL support: ${HAVE_OPENGL}"
echo ""

View File

@ -352,6 +352,23 @@ else
HAVE_OJPEG=no
fi
dnl ---------------------------------------------------------------------------
dnl Check for C++.
dnl ---------------------------------------------------------------------------
AC_ARG_ENABLE(c++,
AS_HELP_STRING([--enable-c++],
[enable C++ stream API building (requires C++ compiler)]),
[HAVE_CXX=$enableval], [HAVE_CXX=yes])
if test "$HAVE_CXX" = "yes" ; then
AC_DEFINE(CXX_SUPPORT, 1, [Support C++ stream API (requires C++ compiler)])
else
HAVE_CXX=no
fi
AM_CONDITIONAL(HAVE_CXX, test "$HAVE_CXX" = "yes")
dnl ---------------------------------------------------------------------------
dnl Check for OpenGL and GLUT.
dnl ---------------------------------------------------------------------------
@ -463,6 +480,7 @@ LOC_MSG([Libtiff is now configured for ${host}])
LOC_MSG()
LOC_MSG([ Installation directory: ${prefix}])
LOC_MSG([ C compiler: ${CC} ${CFLAGS}])
LOC_MSG([ C++ compiler: ${CXX} ${CXXFLAGS}])
LOC_MSG([ Enable runtime linker paths: ${HAVE_RPATH}])
LOC_MSG()
LOC_MSG([ Support for internal codecs:])
@ -479,6 +497,8 @@ LOC_MSG([ Pixar log-format algorithm: ${HAVE_PIXARLOG}])
LOC_MSG([ JPEG support: ${HAVE_JPEG}])
LOC_MSG([ Old JPEG support: ${HAVE_OJPEG}])
LOC_MSG()
LOC_MSG([ C++ support: ${HAVE_CXX}])
LOC_MSG()
LOC_MSG([ OpenGL support: ${HAVE_OPENGL}])
LOC_MSG()

View File

@ -70,6 +70,7 @@ DIST_COMMON = $(libtiffinclude_HEADERS) $(noinst_HEADERS) \
$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
$(srcdir)/files.lst $(srcdir)/tif_config.h.in \
$(srcdir)/tiffconf.h.in
@HAVE_CXX_TRUE@am__append_1 = tif_stream.cxx
noinst_PROGRAMS = mkg3states$(EXEEXT)
subdir = libtiff
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@ -91,7 +92,17 @@ am__installdirs = "$(DESTDIR)$(libdir)" \
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libtiff_la_LIBADD =
am__objects_1 = tif_aux.lo tif_close.lo tif_codec.lo tif_color.lo \
am__libtiff_la_SOURCES_DIST = tif_aux.c tif_close.c tif_codec.c \
tif_color.c tif_compress.c tif_dir.c tif_dirinfo.c \
tif_dirread.c tif_dirwrite.c tif_dumpmode.c tif_error.c \
tif_extension.c tif_fax3.c tif_fax3sm.c tif_flush.c \
tif_getimage.c tif_jpeg.c tif_luv.c tif_lzw.c tif_next.c \
tif_ojpeg.c tif_open.c tif_packbits.c tif_pixarlog.c \
tif_predict.c tif_print.c tif_read.c tif_strip.c tif_swab.c \
tif_thunder.c tif_tile.c tif_unix.c tif_version.c \
tif_warning.c tif_write.c tif_zip.c tif_stream.cxx
@HAVE_CXX_TRUE@am__objects_1 = tif_stream.lo
am__objects_2 = tif_aux.lo tif_close.lo tif_codec.lo tif_color.lo \
tif_compress.lo tif_dir.lo tif_dirinfo.lo tif_dirread.lo \
tif_dirwrite.lo tif_dumpmode.lo tif_error.lo tif_extension.lo \
tif_fax3.lo tif_fax3sm.lo tif_flush.lo tif_getimage.lo \
@ -99,8 +110,8 @@ am__objects_1 = tif_aux.lo tif_close.lo tif_codec.lo tif_color.lo \
tif_open.lo tif_packbits.lo tif_pixarlog.lo tif_predict.lo \
tif_print.lo tif_read.lo tif_strip.lo tif_swab.lo \
tif_thunder.lo tif_tile.lo tif_unix.lo tif_version.lo \
tif_warning.lo tif_write.lo tif_zip.lo
am_libtiff_la_OBJECTS = $(am__objects_1)
tif_warning.lo tif_write.lo tif_zip.lo $(am__objects_1)
am_libtiff_la_OBJECTS = $(am__objects_2)
libtiff_la_OBJECTS = $(am_libtiff_la_OBJECTS)
PROGRAMS = $(noinst_PROGRAMS)
am_mkg3states_OBJECTS = mkg3states.$(OBJEXT)
@ -118,8 +129,16 @@ LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libtiff_la_SOURCES) $(mkg3states_SOURCES)
DIST_SOURCES = $(libtiff_la_SOURCES) $(mkg3states_SOURCES)
DIST_SOURCES = $(am__libtiff_la_SOURCES_DIST) $(mkg3states_SOURCES)
libtiffincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libtiffinclude_HEADERS) $(noinst_HEADERS)
ETAGS = etags
@ -160,6 +179,8 @@ GLU_CFLAGS = @GLU_CFLAGS@
GLU_LIBS = @GLU_LIBS@
GL_CFLAGS = @GL_CFLAGS@
GL_LIBS = @GL_LIBS@
HAVE_CXX_FALSE = @HAVE_CXX_FALSE@
HAVE_CXX_TRUE = @HAVE_CXX_TRUE@
HAVE_OPENGL_FALSE = @HAVE_OPENGL_FALSE@
HAVE_OPENGL_TRUE = @HAVE_OPENGL_TRUE@
INSTALL_DATA = @INSTALL_DATA@
@ -264,44 +285,15 @@ EXTRA_HDRS = \
tiffiop.h \
uvcode.h
SRCS = \
tif_aux.c \
tif_close.c \
tif_codec.c \
tif_color.c \
tif_compress.c \
tif_dir.c \
tif_dirinfo.c \
tif_dirread.c \
tif_dirwrite.c \
tif_dumpmode.c \
tif_error.c \
tif_extension.c \
tif_fax3.c \
tif_fax3sm.c \
tif_flush.c \
tif_getimage.c \
tif_jpeg.c \
tif_luv.c \
tif_lzw.c \
tif_next.c \
tif_ojpeg.c \
tif_open.c \
tif_packbits.c \
tif_pixarlog.c \
tif_predict.c \
tif_print.c \
tif_read.c \
tif_strip.c \
tif_swab.c \
tif_thunder.c \
tif_tile.c \
tif_unix.c \
tif_version.c \
tif_warning.c \
tif_write.c \
tif_zip.c
SRCS = tif_aux.c tif_close.c tif_codec.c tif_color.c tif_compress.c \
tif_dir.c tif_dirinfo.c tif_dirread.c tif_dirwrite.c \
tif_dumpmode.c tif_error.c tif_extension.c tif_fax3.c \
tif_fax3sm.c tif_flush.c tif_getimage.c tif_jpeg.c tif_luv.c \
tif_lzw.c tif_next.c tif_ojpeg.c tif_open.c tif_packbits.c \
tif_pixarlog.c tif_predict.c tif_print.c tif_read.c \
tif_strip.c tif_swab.c tif_thunder.c tif_tile.c tif_unix.c \
tif_version.c tif_warning.c tif_write.c tif_zip.c \
$(am__append_1)
EXTRA_SRCS = \
tif_acorn.c \
tif_apple.c \
@ -332,7 +324,7 @@ all: tif_config.h tiffconf.h
$(MAKE) $(AM_MAKEFLAGS) all-am
.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
.SUFFIXES: .c .cxx .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/files.lst $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
@ -342,9 +334,9 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/fi
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign libtiff/Makefile'; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu libtiff/Makefile'; \
cd $(top_srcdir) && \
$(AUTOMAKE) --foreign libtiff/Makefile
$(AUTOMAKE) --gnu libtiff/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
@ -417,7 +409,7 @@ clean-libLTLIBRARIES:
rm -f "$${dir}/so_locations"; \
done
libtiff.la: $(libtiff_la_OBJECTS) $(libtiff_la_DEPENDENCIES)
$(LINK) -rpath $(libdir) $(libtiff_la_LDFLAGS) $(libtiff_la_OBJECTS) $(libtiff_la_LIBADD) $(LIBS)
$(CXXLINK) -rpath $(libdir) $(libtiff_la_LDFLAGS) $(libtiff_la_OBJECTS) $(libtiff_la_LIBADD) $(LIBS)
clean-noinstPROGRAMS:
@list='$(noinst_PROGRAMS)'; for p in $$list; do \
@ -463,6 +455,7 @@ distclean-compile:
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tif_predict.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tif_print.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tif_read.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tif_stream.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tif_strip.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tif_swab.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tif_thunder.Plo@am__quote@
@ -494,6 +487,27 @@ distclean-compile:
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
.cxx.o:
@am__fastdepCXX_TRUE@ if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $<
.cxx.obj:
@am__fastdepCXX_TRUE@ if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
.cxx.lo:
@am__fastdepCXX_TRUE@ if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(LTCXXCOMPILE) -c -o $@ $<
mostlyclean-libtool:
-rm -f *.lo

View File

@ -49,6 +49,10 @@ SRCS = \
tif_write.c \
tif_zip.c
if HAVE_CXX
SRCS += tif_stream.cxx
endif
EXTRA_SRCS = \
tif_acorn.c \
tif_apple.c \

View File

@ -7,6 +7,9 @@
lacking the tag (default enabled). */
#undef CHECK_JPEG_YCBCR_SUBSAMPLING
/* Support C++ stream API (requires C++ compiler) */
#undef CXX_SUPPORT
/* Treat extra sample as alpha (default enabled). The RGBA interface will
treat a fourth sample with no EXTRASAMPLE_ value as being ASSOCALPHA. Many
packages produce RGBA files but don't mark the alpha properly. */